package com.aizuda.boot.modules.flw.entity;

import com.aizuda.core.bean.BaseEntity;
import com.aizuda.core.validation.Create;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.PositiveOrZero;
import jakarta.validation.constraints.Size;
import lombok.Getter;
import lombok.Setter;

/**
 * 流程审批记录
 *
 * @author hubin
 * @since 2024-03-03
 */
@Getter
@Setter
@Schema(name = "FlwProcessApproval", description = "流程审批记录")
@TableName("flw_process_approval")
public class FlwProcessApproval extends BaseEntity {

	@Schema(description = "租户ID")
	@Size(max = 50)
	private String tenantId;

	@Schema(description = "流程实例ID")
	@NotNull(groups = Create.class)
	@PositiveOrZero
	private Long instanceId;

	@Schema(description = "0，评论 1，抄送 2，同意 3，拒绝 4，转办 5，委派 6，跳转 7，驳回 8，拿回 9，前加签 10，并加签 11，后加签 12，减签 13，终止")
	@NotNull(groups = Create.class)
	@PositiveOrZero
	private Integer type;

	@Schema(description = "操作 json 内容")
	@NotBlank(groups = Create.class)
	private String content;

	@Schema(description = "附件 json 内容")
	private String attachments;

}
