package com.aizuda.boot.modules.flw.entity;

import com.aizuda.core.bean.SuperEntity;
import com.aizuda.core.validation.Create;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.PositiveOrZero;
import lombok.Getter;
import lombok.Setter;

/**
 * 流程定义表单
 *
 * @author hubin
 * @since 2024-02-29
 */
@Getter
@Setter
@Schema(name = "FlwProcessForm", description = "流程定义表单")
@TableName("flw_process_form")
public class FlwProcessForm extends SuperEntity {

	@Schema(description = "租户ID")
	private String tenantId;

	@Schema(description = "流程实例ID")
	@NotNull(groups = Create.class)
	@PositiveOrZero
	private Long instanceId;

	@Schema(description = "表单内容")
	@NotBlank(groups = Create.class)
	private String content;

}
