package com.aizuda.boot.modules.flw.entity.vo;

import com.aizuda.core.ApiConstants;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 流程待审批任务 VO
 *
 * @author 青苗
 * @since 2023-12-11
 */
@Getter
@Setter
public class PendingApprovalTaskVO {

    @Schema(description = "流程ID")
    private Long processId;

    @Schema(description = "流程名称")
    private String processName;

    @Schema(description = "流程实例ID")
    private Long instanceId;

    @Schema(description = "发起人")
    private String launchBy;

    @JsonFormat(pattern = ApiConstants.DATE_MM)
    @Schema(description = "发起时间")
    private Date launchTime;

    @Schema(description = "当前任务ID")
    private Long taskId;

    @JsonFormat(pattern = ApiConstants.DATE_MM)
    @Schema(description = "创建时间")
    private Date createTime;

    @Schema(description = "当前任务名称")
    private String taskName;

    @Schema(description = "任务显示名称")
    private String displayName;
    /**
     * 任务类型 {@link com.flowlong.bpm.engine.core.enums.TaskType}
     */
    @Schema(description = "任务类型")
    protected Integer taskType;
    /**
     * 参与方式 {@link com.flowlong.bpm.engine.core.enums.PerformType}
     */
    @Schema(description = "参与方式")
    protected Integer performType;

    @Schema(description = "委托人")
    protected String assignor;

    @JsonFormat(pattern = ApiConstants.DATE_MM)
    @Schema(description = "期望任务完成时间")
    protected Date expireTime;

    @JsonFormat(pattern = ApiConstants.DATE_MM)
    @Schema(description = "提醒时间")
    protected Date remindTime;

    @Schema(description = "提醒次数")
    protected Integer remindRepeat;

}
