package com.aizuda.boot.modules.flw.mapper;

import com.aizuda.boot.modules.flw.entity.dto.ProcessTaskDTO;
import com.aizuda.boot.modules.flw.entity.vo.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface FlowlongMapper {

    List<FlwProcessVO> selectFlwProcessList();

    List<FlwProcessVO> selectLaunchProcessList();

    /**
     * 待认领任务分页列表
     */
    Page<PendingClaimTaskVO> selectPagePendingClaim(Page<PendingClaimTaskVO> page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 待审批任务分页列表
     */
    Page<PendingApprovalTaskVO> selectPagePendingApproval(Page<PendingApprovalTaskVO> page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 我的申请任务分页列表
     */
    Page<ProcessTaskVO> selectPageMyApplication(Page<ProcessTaskVO> page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 我收到的任务分页列表
     */
    Page<ProcessTaskVO> selectPageMyReceived(Page<ProcessTaskVO> page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 已审批任务分页列表
     */
    Page<ProcessTaskVO> selectPageApproved(Page<ProcessTaskVO> page, @Param("dto") ProcessTaskDTO dto);

    /**
     * 查询流程实例ID的审批历史
     */
    List<FlwHisTaskVO> selectListHisTaskByInstanceId(@Param("instanceId") Long instanceId);

    /**
     * 查询流程实例ID的审批处理人
     */
    List<FlwHisTaskActorVO> selectListHisTaskActorVOByInstanceId(@Param("instanceId") Long instanceId);
}
