package com.aizuda.boot.modules.flw.service.impl;

import com.aizuda.boot.modules.flw.entity.FlwProcessApproval;
import com.aizuda.boot.modules.flw.entity.dto.TaskApprovalDTO;
import com.aizuda.boot.modules.flw.mapper.FlwProcessApprovalMapper;
import com.aizuda.boot.modules.flw.service.IFlwProcessApprovalService;
import com.aizuda.core.api.ApiAssert;
import com.aizuda.service.service.BaseServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 流程审批记录 服务实现类
 *
 * @author hubin
 * @since 2024-03-03
 */
@Service
public class FlwProcessApprovalServiceImpl extends BaseServiceImpl<FlwProcessApprovalMapper, FlwProcessApproval> implements IFlwProcessApprovalService {

    @Override
    public Page<FlwProcessApproval> page(Page<FlwProcessApproval> page, FlwProcessApproval flwProcessApproval) {
        LambdaQueryWrapper<FlwProcessApproval> lqw = Wrappers.lambdaQuery(flwProcessApproval);
        return super.page(page, lqw);
    }

    @Override
    public List<FlwProcessApproval> listByInstanceId(Long instanceId) {
        return lambdaQuery().eq(FlwProcessApproval::getInstanceId, instanceId).list();
    }

    @Override
    public boolean comment(TaskApprovalDTO dto) {
        return false;
    }

    @Override
    public boolean consent(TaskApprovalDTO dto) {
        return false;
    }

    @Override
    public boolean rejection(TaskApprovalDTO dto) {
        return false;
    }
}
